MMEvents.createProcesses(event => {
  event
    .create('mm:gravel_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:gravel',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 10000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.20,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:pointed_dripstone',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.12,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:amethyst_shard',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:diamond',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.65,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:emerald',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.3,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:coal',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.80,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:flint',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.99,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:iron_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.100,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:raw_iron',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.80,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:copper_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.85,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:gold_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.80,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:aluminum_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:silver_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:lead_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:zinc_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.25,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:nickel_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:osmium_ore_chunk',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.60,
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:tin_ore_chunk',
        count: 1
      }
    })
})